"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-311/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f76b60>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f76ca0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f76c00>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f76d40>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f76de0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f76e80>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f76f20>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f76fc0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f77060>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f77100>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f771a0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f77240>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f772e0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f77380>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f77420>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f774c0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f77560>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f77600>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f776a0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f77740>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f777e0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f77880>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f77920>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f779c0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f77a60>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f77b00>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f77ba0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f77c40>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f77ce0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f77d80>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f77e20>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f77ec0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6f77f60>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcc040>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcc0e0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcc180>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcc220>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcc2c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcc360>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcc400>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcc4a0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcc540>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcc5e0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcc680>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcc720>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcc7c0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcc860>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcc900>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcc9a0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcca40>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fccae0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fccb80>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fccc20>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcccc0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fccd60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcce00>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fccea0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fccf40>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fccfe0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcd080>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcd120>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcd1c0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcd260>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcd300>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcd3a0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcd440>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcd4e0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcd580>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcd620>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcd6c0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcd760>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcd800>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcd8a0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcd940>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcd9e0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcda80>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcdb20>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcdbc0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcdc60>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcdda0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcdd00>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcde40>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcdee0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fcdf80>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffffa6fce020>)]
name: str = 'fr_HOCCN'
